//+------------------------------------------------------------------+
//|                                               TicksPerMinute.mq4 |
//|                                      Copyright  2006, Eli Hayun |
//|                                          http://www.elihayun.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Eli Hayun"
#property link      "http://www.elihayun.com"

#property indicator_chart_window
extern int period = PERIOD_M1;

int TimesPerMin[10] = {0,0,0,0,0,0,0,0,0,0};
int iTT = 0;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
   static int tms = 0;
   if (NewBar())
   {
      for(int ii=0; ii<ArraySize(TimesPerMin)-1; ii++)
         TimesPerMin[ii] = TimesPerMin[ii+1];
      TimesPerMin[ArraySize(TimesPerMin)-1] = tms;
      tms = 0;
   }
   tms++;
   TimesPerMin[ArraySize(TimesPerMin)-1] = tms;
   string sTms="";
   for(ii=0; ii<ArraySize(TimesPerMin); ii++)
      sTms = sTms + "["+TimesPerMin[ii]+"]";
   Comment(sTms);
//----
   return(0);
  }
//+------------------------------------------------------------------+
bool NewBar()
{
   static datetime dt = 0;
   if (dt == 0) dt = iTime(NULL, period, 0);
   if (dt != iTime(NULL, period, 0))
   {
      dt = iTime(NULL, period, 0);
      return(true);
   }
   return(false);
}